IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:2300::/72- First address
2001:db8:0:0:2300::- Last address
2001:db8::23ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:2300:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
3.2.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:2300::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:2300::/80 | 2001:db8::2300:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:2301::/80 | 2001:db8::2301:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:2302::/80 | 2001:db8::2302:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:2303::/80 | 2001:db8::2303:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:2304::/80 | 2001:db8::2304:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:2305::/80 | 2001:db8::2305:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:2306::/80 | 2001:db8::2306:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:2307::/80 | 2001:db8::2307:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:2308::/80 | 2001:db8::2308:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:2309::/80 | 2001:db8::2309:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:230a::/80 | 2001:db8::230a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:230b::/80 | 2001:db8::230b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:230c::/80 | 2001:db8::230c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:230d::/80 | 2001:db8::230d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:230e::/80 | 2001:db8::230e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:230f::/80 | 2001:db8::230f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:2310::/80 | 2001:db8::2310:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:2311::/80 | 2001:db8::2311:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:2312::/80 | 2001:db8::2312:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:2313::/80 | 2001:db8::2313:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:2314::/80 | 2001:db8::2314:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:2315::/80 | 2001:db8::2315:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:2316::/80 | 2001:db8::2316:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:2317::/80 | 2001:db8::2317:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:2318::/80 | 2001:db8::2318:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:2319::/80 | 2001:db8::2319:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:231a::/80 | 2001:db8::231a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:231b::/80 | 2001:db8::231b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:231c::/80 | 2001:db8::231c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:231d::/80 | 2001:db8::231d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:231e::/80 | 2001:db8::231e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:231f::/80 | 2001:db8::231f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:2320::/80 | 2001:db8::2320:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:2321::/80 | 2001:db8::2321:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:2322::/80 | 2001:db8::2322:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:2323::/80 | 2001:db8::2323:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:2324::/80 | 2001:db8::2324:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:2325::/80 | 2001:db8::2325:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:2326::/80 | 2001:db8::2326:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:2327::/80 | 2001:db8::2327:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:2328::/80 | 2001:db8::2328:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:2329::/80 | 2001:db8::2329:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:232a::/80 | 2001:db8::232a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:232b::/80 | 2001:db8::232b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:232c::/80 | 2001:db8::232c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:232d::/80 | 2001:db8::232d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:232e::/80 | 2001:db8::232e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:232f::/80 | 2001:db8::232f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:2330::/80 | 2001:db8::2330:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:2331::/80 | 2001:db8::2331:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:2332::/80 | 2001:db8::2332:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:2333::/80 | 2001:db8::2333:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:2334::/80 | 2001:db8::2334:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:2335::/80 | 2001:db8::2335:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:2336::/80 | 2001:db8::2336:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:2337::/80 | 2001:db8::2337:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:2338::/80 | 2001:db8::2338:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:2339::/80 | 2001:db8::2339:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:233a::/80 | 2001:db8::233a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:233b::/80 | 2001:db8::233b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:233c::/80 | 2001:db8::233c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:233d::/80 | 2001:db8::233d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:233e::/80 | 2001:db8::233e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:233f::/80 | 2001:db8::233f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:2340::/80 | 2001:db8::2340:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:2341::/80 | 2001:db8::2341:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:2342::/80 | 2001:db8::2342:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:2343::/80 | 2001:db8::2343:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:2344::/80 | 2001:db8::2344:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:2345::/80 | 2001:db8::2345:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:2346::/80 | 2001:db8::2346:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:2347::/80 | 2001:db8::2347:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:2348::/80 | 2001:db8::2348:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:2349::/80 | 2001:db8::2349:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:234a::/80 | 2001:db8::234a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:234b::/80 | 2001:db8::234b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:234c::/80 | 2001:db8::234c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:234d::/80 | 2001:db8::234d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:234e::/80 | 2001:db8::234e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:234f::/80 | 2001:db8::234f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:2350::/80 | 2001:db8::2350:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:2351::/80 | 2001:db8::2351:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:2352::/80 | 2001:db8::2352:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:2353::/80 | 2001:db8::2353:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:2354::/80 | 2001:db8::2354:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:2355::/80 | 2001:db8::2355:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:2356::/80 | 2001:db8::2356:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:2357::/80 | 2001:db8::2357:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:2358::/80 | 2001:db8::2358:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:2359::/80 | 2001:db8::2359:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:235a::/80 | 2001:db8::235a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:235b::/80 | 2001:db8::235b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:235c::/80 | 2001:db8::235c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:235d::/80 | 2001:db8::235d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:235e::/80 | 2001:db8::235e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:235f::/80 | 2001:db8::235f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:2360::/80 | 2001:db8::2360:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:2361::/80 | 2001:db8::2361:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:2362::/80 | 2001:db8::2362:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:2363::/80 | 2001:db8::2363:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:2364::/80 | 2001:db8::2364:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:2365::/80 | 2001:db8::2365:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:2366::/80 | 2001:db8::2366:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:2367::/80 | 2001:db8::2367:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:2368::/80 | 2001:db8::2368:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:2369::/80 | 2001:db8::2369:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:236a::/80 | 2001:db8::236a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:236b::/80 | 2001:db8::236b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:236c::/80 | 2001:db8::236c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:236d::/80 | 2001:db8::236d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:236e::/80 | 2001:db8::236e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:236f::/80 | 2001:db8::236f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:2370::/80 | 2001:db8::2370:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:2371::/80 | 2001:db8::2371:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:2372::/80 | 2001:db8::2372:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:2373::/80 | 2001:db8::2373:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:2374::/80 | 2001:db8::2374:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:2375::/80 | 2001:db8::2375:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:2376::/80 | 2001:db8::2376:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:2377::/80 | 2001:db8::2377:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:2378::/80 | 2001:db8::2378:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:2379::/80 | 2001:db8::2379:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:237a::/80 | 2001:db8::237a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:237b::/80 | 2001:db8::237b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:237c::/80 | 2001:db8::237c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:237d::/80 | 2001:db8::237d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:237e::/80 | 2001:db8::237e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:237f::/80 | 2001:db8::237f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:2380::/80 | 2001:db8::2380:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:2381::/80 | 2001:db8::2381:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:2382::/80 | 2001:db8::2382:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:2383::/80 | 2001:db8::2383:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:2384::/80 | 2001:db8::2384:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:2385::/80 | 2001:db8::2385:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:2386::/80 | 2001:db8::2386:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:2387::/80 | 2001:db8::2387:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:2388::/80 | 2001:db8::2388:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:2389::/80 | 2001:db8::2389:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:238a::/80 | 2001:db8::238a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:238b::/80 | 2001:db8::238b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:238c::/80 | 2001:db8::238c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:238d::/80 | 2001:db8::238d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:238e::/80 | 2001:db8::238e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:238f::/80 | 2001:db8::238f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:2390::/80 | 2001:db8::2390:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:2391::/80 | 2001:db8::2391:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:2392::/80 | 2001:db8::2392:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:2393::/80 | 2001:db8::2393:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:2394::/80 | 2001:db8::2394:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:2395::/80 | 2001:db8::2395:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:2396::/80 | 2001:db8::2396:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:2397::/80 | 2001:db8::2397:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:2398::/80 | 2001:db8::2398:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:2399::/80 | 2001:db8::2399:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:239a::/80 | 2001:db8::239a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:239b::/80 | 2001:db8::239b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:239c::/80 | 2001:db8::239c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:239d::/80 | 2001:db8::239d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:239e::/80 | 2001:db8::239e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:239f::/80 | 2001:db8::239f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:23a0::/80 | 2001:db8::23a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:23a1::/80 | 2001:db8::23a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:23a2::/80 | 2001:db8::23a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:23a3::/80 | 2001:db8::23a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:23a4::/80 | 2001:db8::23a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:23a5::/80 | 2001:db8::23a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:23a6::/80 | 2001:db8::23a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:23a7::/80 | 2001:db8::23a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:23a8::/80 | 2001:db8::23a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:23a9::/80 | 2001:db8::23a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:23aa::/80 | 2001:db8::23aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:23ab::/80 | 2001:db8::23ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:23ac::/80 | 2001:db8::23ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:23ad::/80 | 2001:db8::23ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:23ae::/80 | 2001:db8::23ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:23af::/80 | 2001:db8::23af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:23b0::/80 | 2001:db8::23b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:23b1::/80 | 2001:db8::23b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:23b2::/80 | 2001:db8::23b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:23b3::/80 | 2001:db8::23b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:23b4::/80 | 2001:db8::23b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:23b5::/80 | 2001:db8::23b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:23b6::/80 | 2001:db8::23b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:23b7::/80 | 2001:db8::23b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:23b8::/80 | 2001:db8::23b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:23b9::/80 | 2001:db8::23b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:23ba::/80 | 2001:db8::23ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:23bb::/80 | 2001:db8::23bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:23bc::/80 | 2001:db8::23bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:23bd::/80 | 2001:db8::23bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:23be::/80 | 2001:db8::23be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:23bf::/80 | 2001:db8::23bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:23c0::/80 | 2001:db8::23c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:23c1::/80 | 2001:db8::23c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:23c2::/80 | 2001:db8::23c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:23c3::/80 | 2001:db8::23c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:23c4::/80 | 2001:db8::23c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:23c5::/80 | 2001:db8::23c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:23c6::/80 | 2001:db8::23c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:23c7::/80 | 2001:db8::23c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:23c8::/80 | 2001:db8::23c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:23c9::/80 | 2001:db8::23c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:23ca::/80 | 2001:db8::23ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:23cb::/80 | 2001:db8::23cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:23cc::/80 | 2001:db8::23cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:23cd::/80 | 2001:db8::23cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:23ce::/80 | 2001:db8::23ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:23cf::/80 | 2001:db8::23cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:23d0::/80 | 2001:db8::23d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:23d1::/80 | 2001:db8::23d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:23d2::/80 | 2001:db8::23d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:23d3::/80 | 2001:db8::23d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:23d4::/80 | 2001:db8::23d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:23d5::/80 | 2001:db8::23d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:23d6::/80 | 2001:db8::23d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:23d7::/80 | 2001:db8::23d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:23d8::/80 | 2001:db8::23d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:23d9::/80 | 2001:db8::23d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:23da::/80 | 2001:db8::23da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:23db::/80 | 2001:db8::23db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:23dc::/80 | 2001:db8::23dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:23dd::/80 | 2001:db8::23dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:23de::/80 | 2001:db8::23de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:23df::/80 | 2001:db8::23df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:23e0::/80 | 2001:db8::23e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:23e1::/80 | 2001:db8::23e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:23e2::/80 | 2001:db8::23e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:23e3::/80 | 2001:db8::23e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:23e4::/80 | 2001:db8::23e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:23e5::/80 | 2001:db8::23e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:23e6::/80 | 2001:db8::23e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:23e7::/80 | 2001:db8::23e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:23e8::/80 | 2001:db8::23e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:23e9::/80 | 2001:db8::23e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:23ea::/80 | 2001:db8::23ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:23eb::/80 | 2001:db8::23eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:23ec::/80 | 2001:db8::23ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:23ed::/80 | 2001:db8::23ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:23ee::/80 | 2001:db8::23ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:23ef::/80 | 2001:db8::23ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:23f0::/80 | 2001:db8::23f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:23f1::/80 | 2001:db8::23f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:23f2::/80 | 2001:db8::23f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:23f3::/80 | 2001:db8::23f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:23f4::/80 | 2001:db8::23f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:23f5::/80 | 2001:db8::23f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:23f6::/80 | 2001:db8::23f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:23f7::/80 | 2001:db8::23f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:23f8::/80 | 2001:db8::23f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:23f9::/80 | 2001:db8::23f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:23fa::/80 | 2001:db8::23fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:23fb::/80 | 2001:db8::23fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:23fc::/80 | 2001:db8::23fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:23fd::/80 | 2001:db8::23fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:23fe::/80 | 2001:db8::23fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:23ff::/80 | 2001:db8::23ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |